﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSOPT' AND COLUMN_NAME = 'MSON' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSOPT_MSON')
BEGIN 
    PRINT 'Creating default constraint DF_SYSOPT_MSON on table SYSOPT' 
    ALTER TABLE [dbo].[SYSOPT]
    ADD CONSTRAINT [DF_SYSOPT_MSON] DEFAULT ((0)) FOR [MSON]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSOPT' AND COLUMN_NAME = 'USTK' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSOPT_USTK')
BEGIN 
    PRINT 'Creating default constraint DF_SYSOPT_USTK on table SYSOPT' 
    ALTER TABLE [dbo].[SYSOPT]
    ADD CONSTRAINT [DF_SYSOPT_USTK] DEFAULT ((0)) FOR [USTK]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSOPT' AND COLUMN_NAME = 'IHOS' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSOPT_IHOS')
BEGIN 
    PRINT 'Creating default constraint DF_SYSOPT_IHOS on table SYSOPT' 
    ALTER TABLE [dbo].[SYSOPT]
    ADD CONSTRAINT [DF_SYSOPT_IHOS] DEFAULT ((0)) FOR [IHOS]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSOPT' AND COLUMN_NAME = 'IHHT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSOPT_IHHT')
BEGIN 
    PRINT 'Creating default constraint DF_SYSOPT_IHHT on table SYSOPT' 
    ALTER TABLE [dbo].[SYSOPT]
    ADD CONSTRAINT [DF_SYSOPT_IHHT] DEFAULT ((0)) FOR [IHHT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSOPT' AND COLUMN_NAME = 'PCAA' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSOPT_PCAA')
BEGIN 
    PRINT 'Creating default constraint DF_SYSOPT_PCAA on table SYSOPT' 
    ALTER TABLE [dbo].[SYSOPT]
    ADD CONSTRAINT [DF_SYSOPT_PCAA] DEFAULT ((0)) FOR [PCAA]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSOPT' AND COLUMN_NAME = 'PSEL' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSOPT_PSEL')
BEGIN 
    PRINT 'Creating default constraint DF_SYSOPT_PSEL on table SYSOPT' 
    ALTER TABLE [dbo].[SYSOPT]
    ADD CONSTRAINT [DF_SYSOPT_PSEL] DEFAULT ((0)) FOR [PSEL]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSOPT' AND COLUMN_NAME = 'BLKU' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSOPT_BLKU')
BEGIN 
    PRINT 'Creating default constraint DF_SYSOPT_BLKU on table SYSOPT' 
    ALTER TABLE [dbo].[SYSOPT]
    ADD CONSTRAINT [DF_SYSOPT_BLKU] DEFAULT ((0)) FOR [BLKU]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSOPT' AND COLUMN_NAME = 'MICI' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSOPT_MICI')
BEGIN 
    PRINT 'Creating default constraint DF_SYSOPT_MICI on table SYSOPT' 
    ALTER TABLE [dbo].[SYSOPT]
    ADD CONSTRAINT [DF_SYSOPT_MICI] DEFAULT ((0)) FOR [MICI]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSOPT' AND COLUMN_NAME = 'MACI' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSOPT_MACI')
BEGIN 
    PRINT 'Creating default constraint DF_SYSOPT_MACI on table SYSOPT' 
    ALTER TABLE [dbo].[SYSOPT]
    ADD CONSTRAINT [DF_SYSOPT_MACI] DEFAULT ((0)) FOR [MACI]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSOPT' AND COLUMN_NAME = 'MREC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSOPT_MREC')
BEGIN 
    PRINT 'Creating default constraint DF_SYSOPT_MREC on table SYSOPT' 
    ALTER TABLE [dbo].[SYSOPT]
    ADD CONSTRAINT [DF_SYSOPT_MREC] DEFAULT ((0)) FOR [MREC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'SYSOPT' AND COLUMN_NAME = 'PHIE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_SYSOPT_PHIE')
BEGIN 
    PRINT 'Creating default constraint DF_SYSOPT_PHIE on table SYSOPT' 
    ALTER TABLE [dbo].[SYSOPT]
    ADD CONSTRAINT [DF_SYSOPT_PHIE] DEFAULT ((0)) FOR [PHIE]
END 
GO

